<?php
	include('start.php');
	
	//每天查询一次，把json字符串存入数据库，第二次访问直接读取原始查询的数据
	$time = date("Y-m-d");
	$sql_one ="select * from blog_mapjson where create_time = '$time' ";
	$res_one = $db->get($sql_one);
	if($res_one){
		$map_data = unserialize($res_one['json_str']);
		$map_data = json_encode($map_data);
	}else{
		//查询所有信息
		$sql_bc ="select * from blog_fangwen order by id desc limit 300";
		$res_bc_array = $db->gets($sql_bc);


		foreach($res_bc_array as $k =>$v){
			//获得地址
			$tmp_a[] = GetIpLookup("$v[ip]");
		}
		$tmp_arr = array();
		foreach($tmp_a as $key => $val){
			if(!isset($tmp_arr[$val['province']]['value'])){
				$tmp_arr[$val['province']]['value'] = 0;
			}
			$tmp_arr[$val['province']]['value']+=1;
			$tmp_arr[$val['province']]['name']=$val['province'];
		}
		$tmp_arr = array_values($tmp_arr);
		//序列
		$arr_str = serialize($tmp_arr);
		$map_data = json_encode($tmp_arr);

		//存入数据库
		$time = date("Y-m-d");
		$sql_insert ="insert into blog_mapjson value(null,'$arr_str','$time') ";
		$res_insert= $db->query($sql_insert);
	}

		

	//获取当前ip地址的定位
    function GetIpLookup($ip){
        $res = @file_get_contents('http://int.dpool.sina.com.cn/iplookup/iplookup.php?format=js&ip='.$ip);
        $jsonMatches = array();
        preg_match('#\{.+?\}#', $res, $jsonMatches);
        if(!isset($jsonMatches[0])){ return false; }
        $json = json_decode($jsonMatches[0], true);
        if(isset($json['ret']) && $json['ret'] == 1){
            $json['ip'] = $ip;
            unset($json['ret']);
        }else{
            return false;
        }
        return $json;
    }
	
?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>三水博客-网站访问统计</title>
    <!-- 引入 echarts.js -->
    <script src="/old/public/js/echarts.js"></script>
    <script src="/old/public/js/china.js"></script>
</head>
<body>
    <!-- 为ECharts准备一个具备大小（宽高）的Dom -->
    <div id="main" style="height:600px;"></div>
    <script type="text/javascript">
	    function randomData() {
		    return Math.round(Math.random()*1000);
		}

		var map_data = '<?php echo $map_data?>';
		var new_map_data = JSON.parse(map_data);
		console.log(new_map_data);
        // 基于准备好的dom，初始化echarts实例
        var myChart = echarts.init(document.getElementById('main'));

        // 指定图表的配置项和数据
        var option = {
		    title: {
		        text: '网站访问统计',
		        subtext: '以每天第一次检索为准',
		        left: 'center'
		    },
		    tooltip: {
		        trigger: 'item'
		    },
		    legend: {
		        orient: 'vertical',
		        left: 'left',
		        data:['iphone3','iphone4','iphone5']
		    },
		    visualMap: {
		        min: 0,
		        max: 2500,
		        left: 'left',
		        top: 'bottom',
		        text: ['高','低'],           // 文本，默认为数值文本
		        calculable: true
		    },
		    toolbox: {
		        show: true,
		        orient: 'vertical',
		        left: 'right',
		        top: 'center',
		        feature: {
		            dataView: {readOnly: false},
		            restore: {},
		            saveAsImage: {}
		        }
		    },
		    series: [
		        {
		            name: '网站访问统计',
		            type: 'map',
		            mapType: 'china',
		            roam: false,
		            label: {
		                normal: {
		                    show: true
		                },
		                emphasis: {
		                    show: true
		                }
		            },
		            data:new_map_data
		        }
		    ]
		};

        // 使用刚指定的配置项和数据显示图表。
        myChart.setOption(option);
    </script>
</body>
</html>